Custom tools
Create a custom AI tool
Requires tools:write. Authentication secrets are accepted on write but never returned.
POST
/
tools
Create a custom AI tool
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"timeoutMs": 15250
},
"active": true,
"readOnly": true,
"allowInPlayground": false,
"propertyIds": [
"<string>"
]
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/tools"
payload = {
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"timeoutMs": 15250
},
"active": True,
"readOnly": True,
"allowInPlayground": False,
"propertyIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
parameters: {},
endpoint: {url: '<string>', timeoutMs: 15250},
active: true,
readOnly: true,
allowInPlayground: false,
propertyIds: ['<string>']
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"toolId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"method": "GET",
"timeoutMs": 15250
},
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
},
"active": true,
"readOnly": true,
"allowInPlayground": true,
"propertyIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Body
application/json
Required string length:
1 - 64Pattern:
^[a-zA-Z_][a-zA-Z0-9_]{0,63}$Required string length:
1 - 2000JSON Schema for an object input.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Tool created
Show child attributes
Show child attributes
⌘I
Create a custom AI tool
